Bug 454984 - Allow to set an animated image as desktop background
Summary: Allow to set an animated image as desktop background
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Image Wallpaper (show other bugs)
Version: 5.24.0
Platform: OpenSUSE Linux
: NOR wishlist
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks: 455184
  Show dependency treegraph
 
Reported: 2022-06-07 16:53 UTC by Fushan Wen
Modified: 2022-06-17 15:10 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.26


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fushan Wen 2022-06-07 16:53:03 UTC
Plasma lacks support for video backgrounds.

The feature is popular on store.kde.org, e.g. 
Wallpaper Engine Kde Plugin: https://store.kde.org/p/1475528/
SmartER Video Wallpaper: https://store.kde.org/p/1448924
Animated Image Wallpaper: https://store.kde.org/p/1339104
Smart Video Wallpaper: https://store.kde.org/p/1316299
Video LockScreen: https://store.kde.org/p/1316300
Video Wallpaper: https://store.kde.org/p/1316120
Animated Video Wallpaper: https://store.kde.org/p/1032000
Comment 1 Nate Graham 2022-06-08 18:37:05 UTC
Yeah the amount of duplication there does seem to suggest that we should implement it in a supported way in 1st party code.
Comment 2 Bug Janitor Service 2022-06-12 16:06:14 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1831
Comment 3 Fushan Wen 2022-06-17 12:05:31 UTC
Git commit 6e43d469811222f889eed71ad96e0073ddfbba65 by Fushan Wen.
Committed on 17/06/2022 at 11:26.
Pushed by fusionfuture into branch 'master'.

wallpapers/image: add animated image support
FIXED-IN: 5.26

M  +24   -2    wallpapers/image/imagepackage/contents/ui/main.qml
A  +60   -0    wallpapers/image/imagepackage/contents/ui/mediacomponent/AnimatedImageComponent.qml     [License: GPL(v2.0+)]
A  +41   -0    wallpapers/image/imagepackage/contents/ui/mediacomponent/BaseMediaComponent.qml     [License: GPL(v2.0+)]
D  +0    -64   wallpapers/image/imagepackage/contents/ui/mediacomponent/ImageComponent.qml
A  +45   -0    wallpapers/image/imagepackage/contents/ui/mediacomponent/StaticImageComponent.qml     [License: GPL(v2.0+)]
M  +1    -0    wallpapers/image/plugin/CMakeLists.txt
M  +2    -0    wallpapers/image/plugin/imageplugin.cpp
A  +20   -0    wallpapers/image/plugin/utils/backgroundtype.h     [License: GPL(v2.0+)]
M  +51   -3    wallpapers/image/plugin/utils/mediaproxy.cpp
M  +16   -1    wallpapers/image/plugin/utils/mediaproxy.h

https://invent.kde.org/plasma/plasma-workspace/commit/6e43d469811222f889eed71ad96e0073ddfbba65